﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

@font-face {
	font-family: 'Material Icons';
	font-style: normal;
	font-weight: 400;
	src: url(https://example.com/MaterialIcons-Regular.eot); /* For IE6-8 */
	src: local('Material Icons'), local('MaterialIcons-Regular'), url(https://example.com/MaterialIcons-Regular.woff2) format('woff2'), url(https://example.com/MaterialIcons-Regular.woff) format('woff'), url(https://example.com/MaterialIcons-Regular.ttf) format('truetype');
}

@font-face {
	font-family: 'Caros Soft Regular';
	font-style: normal;
	font-weight: normal;
	src: local('Caros Soft Regular'), url('/fonts/CarosSoft/CarosSoft.woff') format('woff');
}


@font-face {
	font-family: 'Caros Soft Thin';
	font-style: normal;
	font-weight: normal;
	src: local('Caros Soft Thin'), url('/fonts/CarosSoft/CarosSoftThin.woff') format('woff');
}


@font-face {
	font-family: 'Caros Soft ExtraLight';
	font-style: normal;
	font-weight: normal;
	src: local('Caros Soft ExtraLight'), url('/fonts/CarosSoft/CarosSoftExtraLight.woff') format('woff');
}


@font-face {
	font-family: 'Caros Soft Light';
	font-style: normal;
	font-weight: normal;
	src: local('Caros Soft Light'), url('/fonts/CarosSoft/CarosSoftLight.woff') format('woff');
}


@font-face {
	font-family: 'Caros Soft Medium';
	font-style: normal;
	font-weight: normal;
	src: local('Caros Soft Medium'), url('/fonts/CarosSoft/CarosSoftMedium.woff') format('woff');
}


@font-face {
	font-family: 'Caros Soft Bold';
	font-style: normal;
	font-weight: normal;
	src: local('Caros Soft Bold'), url('/fonts/CarosSoft/CarosSoftBold.woff') format('woff');
}


@font-face {
	font-family: 'Caros Soft ExtraBold';
	font-style: normal;
	font-weight: normal;
	src: local('Caros Soft ExtraBold'), url('/fonts/CarosSoft/CarosSoftExtraBold.woff') format('woff');
}


@font-face {
	font-family: 'Caros Soft Heavy';
	font-style: normal;
	font-weight: normal;
	src: local('Caros Soft Heavy'), url('/fonts/CarosSoft/CarosSoftHeavy.woff') format('woff');
}


@font-face {
	font-family: 'Caros Soft Black';
	font-style: normal;
	font-weight: normal;
	src: local('Caros Soft Black'), url('/fonts/CarosSoft/CarosSoftBlack.woff') format('woff');
}

@font-face {
	font-family: 'Brighter Regular';
	font-style: normal;
	font-weight: normal;
	src: local('Brighter Regular'), url('/fonts/Brighter-Regular/Brighter-Regular.otf') format('woff');
}


html, body {
	font-family: "Caros Soft Regular", sans-serif !important;
}

h3, p, span {
	font-size: 1rem !important;
}

h1:focus {
	outline: none;
}

a, .btn-link {
	color: #0071c1;
	cursor: pointer;
}

.btn-primary {
	color: #fff;
	background-color: #1b6ec2;
	border-color: #1861ac;
}

main {
	max-width: calc(100% - 70px);
}

.content {
	padding-top: 1.1rem;
}

.choices {
	width: 100%;
}

.valid.modified:not([type=checkbox]) {
	outline: 1px solid #26b050;
}

.invalid {
	outline: 1px solid red;
}

.validation-message {
	color: red;
}

#blazor-error-ui {
	background: lightyellow;
	bottom: 0;
	box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
	display: none;
	left: 0;
	padding: 0.6rem 1.25rem 0.7rem 1.25rem;
	position: fixed;
	width: 100%;
	z-index: 1000;
}

	#blazor-error-ui .dismiss {
		cursor: pointer;
		position: absolute;
		right: 0.75rem;
		top: 0.5rem;
	}

.image-loading {
	width: 100%;
	height: 100%;
}

	.image-loading .loading {
		display: block !important;
		width: 100%;
		height: 100%;
		background-image: url('/img/v3/icons/loading_spinner.svg');
		background-position: center;
		background-repeat: no-repeat;
	}

.blazor-error-boundary {
	background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
	padding: 1rem 1rem 1rem 3.7rem;
	color: white;
}

	.blazor-error-boundary::after {
		content: "An error has occurred."
	}

.filter-button {
}

.filter-button-content {
	height: 36px;
	min-width: 64px;
	padding: 0 16px !important;
}

.back {
	color: #ee5723 !important;
}

.step {
	display: none;
}

.add {
	color: #ee5723;
}

.step.active {
	display: flex;
}

.mark-us .mud-typography {
	color: #fff;
}

.mud-switch {
	/*	margin: 8px 0 0 0;*/
	margin-inline-start: 0 !important;
	margin-inline-end: 0 !important;
}

.mud-typography {
	padding-top: 4px;
	padding-left: 18px;
	display: inline-block;
	position: relative;
	font-size: 16px;
	color: #666666;
}

/*Radio button control*/

.radio-control .mud-switch-span {
	padding: 0;
	width: 35px;
	height: 20px;
	pointer-events: none;
	left: 0;
	top: 0;
	border: 1px solid #c9ccd6;
	box-sizing: border-box;
	border-radius: 15px;
}

	.radio-control .mud-switch-span .mud-switch-base {
		padding: 4px;
	}

	.radio-control .mud-switch-span .mud-switch-track {
		background-color: transparent;
	}

	.radio-control .mud-switch-span .mud-switch-base.mud-checked {
		transform: translateX(15px);
	}


.radio-control .mud-switch-button .mud-switch-thumb {
	width: 10px;
	height: 10px;
	outline: none;
	border-radius: 50%;
	transition: all 0.5s;
	top: 10px;
	left: 5px;
	background: #e4e6ec;
	box-shadow: none !important;
}

.radio-control .mud-switch-span .mud-switch-base.mud-checked .mud-switch-button .mud-switch-thumb {
	background: #ee5723;
}

/*Checkbox control*/

.checkbox-control span {
	margin: 0 0 0 -1em;
	padding: 0;
	width: 2em;
	height: 2em;
	left: 0;
	top: 0;
	border: 1px solid #c9ccd6;
	box-sizing: border-box;
	border-radius: 2px;
	font-size: 1rem;
	pointer-events: none;
}

.checkbox.checked .checkbox-control span {
	background: #ee5723;
	border: 1px solid #ee5723;
}

.checkbox .checkbox-control span .mud-icon-root {
	width: 1.25em;
	height: 1.25em;
}

.checkbox-control span .mud-icon-root.mud-svg-icon {
	fill: #fff;
	border-radius: 2px;
	padding: 4px;
}

.checkbox .checkbox-control p {
	font-size: 0.938rem;
	line-height: 1.4em;
	color: #323648;
}

.checkbox .mud-icon-button {
	transition: none;
}

.checkbox .mud-checkbox {
	align-items: flex-start;
}

/*Checkbox control with text*/

.checkbox.text-checkbox {
	position: relative;
	align-items: center;
	width: auto;
	height: 100%;
}

	.checkbox.text-checkbox .mud-input-control.checkbox-control > div {
		padding: 3px 10px;
	}

	.checkbox.text-checkbox .mud-input-control.checkbox-control span {
		margin: 0;
		position: absolute;
		width: 100%;
		height: 100%;
		border: 1px solid #e4e6ec;
		border-radius: 5px;
	}

	.checkbox.text-checkbox .mud-input-control.checkbox-control p {
		padding: 0;
		font-size: 14px !important;
		line-height: 22px !important;
		color: #666666;
	}

	.checkbox.text-checkbox.checked .checkbox-control span {
		background: #fff;
		border: 1px solid #ee5723;
	}

	.checkbox.text-checkbox.checked .checkbox-control p {
		color: #ee5723;
	}

.edit-group > a {
	display: flex;
	justify-content: flex-end;
	color: #1976d2;
}

	.edit-group > a .edit-icon {
		margin-right: 8px !important;
		color: #757575;
	}

a {
	color: #1976d2 !important;
}

.v-input__slot.active .mud-icon-root.mud-svg-icon {
	fill: #1976d2;
}

.choices__list--dropdown.active {
	display: block !important;
}

.choices__list--single .choices__item {
	opacity: 1;
}

.mud-picker-container .mud-theme-primary {
	background-color: #ee5723 !important;
}

.mud-picker-calendar .mud-day.mud-selected .mud-typography {
	color: #fff !important;
}

/*.mud-input.mud-input-outlined:focus-within .mud-input-outlined-border {
	border-color: #ee5723 !important;
}*/

.mud-list-item-clickable:hover {
	color: #9f320c;
}

.mud-input,
.input-control {
	min-height: 60px;
}


.mud-select {
	margin-top: 6px !important;
	margin-bottom: 12px !important;
}

	.mud-select:has(.top-margin-0) {
		margin-top: 0 !important;
	}

	.mud-select .mud-input-control {
		margin: 0 !important;
	}

.mud-selected-item {
	background-color: var(--mud-palette-primary-hover);
}

	.mud-selected-item .mud-list-item-text .mud-typography {
		color: #9f320c;
	}

.open-house-container {
	border-right: 1px solid #c4c4c4;
}

	.open-house-container .open-house-box {
		position: relative;
		border-left: 1px solid #c4c4c4;
		width: calc(100%/4);
	}

		.open-house-container .open-house-box::after {
			content: '';
			position: absolute;
			top: 0;
			left: 100%;
			width: 1px;
			height: 100%;
			background: #c4c4c4;
		}

		.open-house-container .open-house-box .week-item-desc {
			letter-spacing: -2.5px;
			line-height: 0.85em;
		}

			.open-house-container .open-house-box .week-item-desc span {
				font-size: 10px !important;
			}

/*===== Input styles =====*/

.input-group {
	display: flex;
	flex-direction: column;
}

	.input-group textarea {
		min-height: 300px;
	}

	.input-group > label {
		transform: translate(0px,-15px);
		background-color: #fff;
		padding: 0 5px;
	}

.input-control {
	padding: 0 1rem !important;
	max-height: 60px;
	border-radius: 5px !important;
	border-color: #c4c4c4 !important;
	font-size: 1rem;
}

	.input-control:hover {
		transition: border-color 0.2s ease-in-out;
		border-color: #333 !important;
	}

	.input-control:focus {
		transition: border-color 0.2s ease-in-out;
		border: 2px solid var(--mud-palette-primary) !important;
	}

		.input-control:focus ~ label {
			color: var(--mud-palette-primary) !important;
		}

.upload-input {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
	cursor: pointer;
}

/*===== Filter button =====*/

.filter-button.active .filter-button-content {
	background-color: #f3f7f9 !important;
}

.filter-button-content {
	height: 36px !important;
	min-width: 64px !important;
	will-change: box-shadow !important;
	margin-right: 4px !important;
	-webkit-appearance: button !important;
	align-items: center !important;
	border-radius: 4px !important;
	display: inline-flex !important;
	flex: 0 0 auto !important;
	font-weight: 500 !important;
	letter-spacing: .0892857143em !important;
	justify-content: center !important;
	outline: 0 !important;
	position: relative !important;
	text-decoration: none !important;
	text-indent: 0.0892857143em !important;
	text-transform: uppercase !important;
	transition-duration: .28s !important;
	transition-property: box-shadow,transform,opacity !important;
	transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1) !important;
	user-select: none !important;
	vertical-align: middle !important;
	white-space: nowrap !important;
	cursor: pointer !important;
	text-transform: none !important;
	font-size: .75rem !important;
	background-color: transparent !important;
	border-style: none !important;
	color: #058aa7 !important;
}

	.filter-button-content span {
		font-size: 0.75rem !important;
	}

	.filter-button-content::before {
		border-radius: inherit !important;
		bottom: 0 !important;
		color: inherit !important;
		content: "";
		left: 0 !important;
		opacity: 0 !important;
		pointer-events: none !important;
		position: absolute !important;
		right: 0 !important;
		top: 0 !important;
		transition: opacity .2s cubic-bezier(0.4, 0, 0.6, 1) !important;
	}

	.filter-button-content:hover {
		background-color: #eee !important;
	}

	.filter-button-content::before:hover {
		opacity: 0.08 !important;
	}

.v-data-table__progress th {
	padding: 0 !important;
	height: 0 !important;
}
/*	==== Table Tab ====*/
.desktop-header th span {
	color: rgba(0,0,0,0.6);
}

.sortable {
	margin: 4px;
	height: 24px !important;
	flex: 0 1 auto;
}

	.sortable span {
		cursor: pointer !important;
		font-size: 14px !important;
	}

	/*	.sortable.selected {
		display: inline-flex !important;
	}*/

	.sortable.active {
		color: #333;
	}

		.sortable.active .mud-icon-root.mud-svg-icon {
			fill: #333 !important;
		}

		.sortable.active.asc .data-table-header-icon {
			opacity: 1 !important;
			transform: none;
		}


		.sortable.active.desc .data-table-header-icon {
			opacity: 1 !important;
			transform: rotate(-180deg) !important;
		}



/*===== Colors =====*/
:root {
	--mud-palette-primary: #ee5723 !important;
	--mud-palette-action-default-hover: #fde8e0 !important;
	--mud-palette-primary-hover: #fde8e0 !important;
}

.mud-list-item.mud-list-item-disabled {
	opacity: 0.5;
}

/*Margin top custom units*/

.margin-top-0 {
	margin-top: 0 !important;
}

.margin-top-4 {
	margin-top: 1rem !important;
}

.margin-top-5 {
	margin-top: 1.25rem !important;
}

.margin-top-6 {
	margin-top: 1.5rem !important;
}

.mt-16 {
	margin-top: 4rem !important;
}

/*Margin bottom custom units*/

.margin-bottom-3 {
	margin-bottom: 0.75rem !important;
}

.margin-bottom-4 {
	margin-bottom: 1rem !important;
}

.margin-bottom-5 {
	margin-bottom: 1.25rem !important;
}

.margin-bottom-10 {
	margin-bottom: 2.5rem !important;
}

/*Margin left custom units*/

.margin-left-0 {
	margin-left: 0 !important;
}

.margin-left-12 {
	margin-left: 3rem !important;
}

@media (max-width: 767.98px) {
	.upload-property-subheader p {
		margin-top: 1rem !important;
	}
}

/*Save button*/

.save-button-wrapper {
	position: relative;
}

	.save-button-wrapper .lds-ring {
		display: none !important;
	}

	.save-button-wrapper.saving .lds-ring {
		display: inline-block !important;
	}

	.save-button-wrapper.saving .save-button {
		background-color: #323647 !important;
		border: 1px solid #fff !important;
		font-size: 0 !important;
	}

/*Dialog custom styles*/

.mud-dialog-title {
	padding: 2rem 1rem 0 1rem !important; 
}

.mud-dialog-actions {
	padding-bottom: 2rem !important;
	justify-content: center !important;
}

.dialog-button {
	background: #ee5723 !important;
	border: 1px solid #ee5723 !important;
	color: #ffffff !important;
}

	.dialog-button:hover {
		background-color: rgba(238,87,35,.9) !important;
	}

.mud-dialog-content {
	padding: 0.5rem 2.5rem 1rem 2.5rem !important;
}
